Debian Bug report logs - #382616
package is unusable for standalone development: uglib.h has conflicts with glib-2.0 headers

version graph

Package: liblinphone1-dev; Maintainer for liblinphone1-dev is (unknown);

Reported by: Uplink <advantis@gmx.net>

Date: Sat, 12 Aug 2006 10:18:09 UTC

Severity: grave

Tags: fixed, patch

Found in version linphone/1.3.5-1

Fixed in version linphone/1.4.1-1

Done: Samuel Mimram <smimram@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#382616; Package liblinphone1-dev. Full text and rfc822 format available.

Acknowledgement sent to Uplink <advantis@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Uplink <advantis@gmx.net>
To: submit@bugs.debian.org
Subject: package is unusable for standalone development: uglib.h has conflicts with glib-2.0 headers
Date: Sat, 12 Aug 2006 12:37:31 +0300
[Message part 1 (text/plain, inline)]
Package: liblinphone1-dev
Version: 1.3.5-1
Severity: grave

Hello,

I'm trying to write an application that uses liblinphone, and I'm using 
linphonec as reference. I took out the linphonec sources and wrote a 
custom Makefile in an attempt of building it outside the linphone 
package source tree, but I get warning and errors when I attempt to 
build it.

As far as I understand, this should build:

   #include <linphonecore.h>
   int main()
   {
           return 0;
   }

but doesn't. I get a few screens full of errors. Here are a few:

/usr/lib/glib-2.0/include/glibconfig.h:33: error: redefinition of `guint8'
/usr/include/linphone/uglib.h:48: error: `guint8' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:34: error: redefinition of `gint16'
/usr/include/linphone/uglib.h:42: error: `gint16' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:35: error: redefinition of `guint16'
/usr/include/linphone/uglib.h:40: error: `guint16' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:39: error: redefinition of `gint32'
/usr/include/linphone/uglib.h:43: error: `gint32' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:40: error: redefinition of `guint32'
/usr/include/linphone/uglib.h:41: error: `guint32' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:46: error: redefinition of `gint64'
/usr/include/linphone/uglib.h:39: error: `gint64' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:47: error: redefinition of `guint64'
/usr/include/linphone/uglib.h:38: error: `guint64' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:58: error: redefinition of `gssize'
/usr/include/linphone/uglib.h:53: error: `gssize' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:59: error: conflicting types for 
`gsize'
/usr/include/linphone/uglib.h:52: error: previous declaration of `gsize'

I attach the Makefile, the stub application from above and the output of 
'make' on my system.

Any ideas how should I proceed in the meantime?

Thanks.
[emptylinphone.c (text/plain, inline)]
#include <linphonecore.h>

int main()
{
	return 0;
}
[make.out (text/plain, inline)]
gcc  -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/linphone -I/usr/include/ortp      emptylinphone.c  -lgthread-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -llinphone   -o emptylinphone
In file included from /usr/lib/glib-2.0/include/glibconfig.h:9,
                 from /usr/include/glib-2.0/glib/gtypes.h:30,
                 from /usr/include/glib-2.0/glib/galloca.h:30,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gmacros.h:69:1: warning: "G_GNUC_CONST" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:211:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gtypes.h:30,
                 from /usr/include/glib-2.0/glib/galloca.h:30,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/lib/glib-2.0/include/glibconfig.h:33: error: redefinition of `guint8'
/usr/include/linphone/uglib.h:48: error: `guint8' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:34: error: redefinition of `gint16'
/usr/include/linphone/uglib.h:42: error: `gint16' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:35: error: redefinition of `guint16'
/usr/include/linphone/uglib.h:40: error: `guint16' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:39: error: redefinition of `gint32'
/usr/include/linphone/uglib.h:43: error: `gint32' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:40: error: redefinition of `guint32'
/usr/include/linphone/uglib.h:41: error: `guint32' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:46: error: redefinition of `gint64'
/usr/include/linphone/uglib.h:39: error: `gint64' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:47: error: redefinition of `guint64'
/usr/include/linphone/uglib.h:38: error: `guint64' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:58: error: redefinition of `gssize'
/usr/include/linphone/uglib.h:53: error: `gssize' previously declared here
/usr/lib/glib-2.0/include/glibconfig.h:59: error: conflicting types for `gsize'
/usr/include/linphone/uglib.h:52: error: previous declaration of `gsize'
In file included from /usr/include/glib-2.0/glib/gtypes.h:30,
                 from /usr/include/glib-2.0/glib/galloca.h:30,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/lib/glib-2.0/include/glibconfig.h:69:1: warning: "GINT_TO_POINTER" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:275:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/galloca.h:30,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gtypes.h:41: error: redefinition of `gchar'
/usr/include/linphone/uglib.h:46: error: `gchar' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:44: error: redefinition of `gint'
/usr/include/linphone/uglib.h:45: error: `gint' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:45: error: redefinition of `gboolean'
/usr/include/linphone/uglib.h:50: error: `gboolean' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:47: error: redefinition of `guchar'
/usr/include/linphone/uglib.h:47: error: `guchar' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:49: error: redefinition of `gulong'
/usr/include/linphone/uglib.h:54: error: `gulong' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:50: error: redefinition of `guint'
/usr/include/linphone/uglib.h:44: error: `guint' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:53: error: redefinition of `gdouble'
/usr/include/linphone/uglib.h:51: error: `gdouble' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:72: error: redefinition of `gpointer'
/usr/include/linphone/uglib.h:49: error: `gpointer' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:73: error: redefinition of `gconstpointer'
/usr/include/linphone/glist.h:46: error: `gconstpointer' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:76: error: redefinition of `GCompareFunc'
/usr/include/linphone/glist.h:49: error: `GCompareFunc' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:79: error: redefinition of `GCompareDataFunc'
/usr/include/linphone/glist.h:52: error: `GCompareDataFunc' previously declared here
/usr/include/glib-2.0/glib/gtypes.h:84: error: redefinition of `GFunc'
/usr/include/linphone/glist.h:54: error: `GFunc' previously declared here
In file included from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/galloca.h:56:1: warning: "g_alloca" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:122:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gthread.h:30,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:30,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gerror.h:28: error: conflicting types for `GError'
/usr/include/linphone/uglib.h:71: error: previous declaration of `GError'
/usr/include/glib-2.0/glib/gerror.h:40: error: conflicting types for `g_error_new'
/usr/include/linphone/uglib.h:72: error: previous declaration of `g_error_new'
/usr/include/glib-2.0/glib/gerror.h:60: error: conflicting types for `g_set_error'
/usr/include/linphone/uglib.h:73: error: previous declaration of `g_set_error'
In file included from /usr/include/glib-2.0/glib/gasyncqueue.h:30,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gthread.h:47: error: redefinition of `GThreadFunc'
/usr/include/linphone/uglib.h:147: error: `GThreadFunc' previously declared here
/usr/include/glib-2.0/glib/gthread.h:51: error: conflicting types for `G_THREAD_PRIORITY_LOW'
/usr/include/linphone/uglib.h:139: error: previous declaration of `G_THREAD_PRIORITY_LOW'
/usr/include/glib-2.0/glib/gthread.h:52: error: conflicting types for `G_THREAD_PRIORITY_NORMAL'
/usr/include/linphone/uglib.h:140: error: previous declaration of `G_THREAD_PRIORITY_NORMAL'
/usr/include/glib-2.0/glib/gthread.h:53: error: conflicting types for `G_THREAD_PRIORITY_HIGH'
/usr/include/linphone/uglib.h:141: error: previous declaration of `G_THREAD_PRIORITY_HIGH'
/usr/include/glib-2.0/glib/gthread.h:55: error: conflicting types for `G_THREAD_PRIORITY_URGENT'
/usr/include/linphone/uglib.h:143: error: previous declaration of `G_THREAD_PRIORITY_URGENT'
/usr/include/glib-2.0/glib/gthread.h:55: error: redefinition of `GThreadPriority'
/usr/include/linphone/uglib.h:143: error: `GThreadPriority' previously declared here
/usr/include/glib-2.0/glib/gthread.h:57: error: conflicting types for `GThread'
/usr/include/linphone/uglib.h:145: error: previous declaration of `GThread'
/usr/include/glib-2.0/glib/gthread.h:67: error: conflicting types for `GMutex'
/usr/include/linphone/uglib.h:129: error: previous declaration of `GMutex'
/usr/include/glib-2.0/glib/gthread.h:68: error: conflicting types for `GCond'
/usr/include/linphone/uglib.h:168: error: previous declaration of `GCond'
/usr/include/glib-2.0/glib/gthread.h:119: warning: useless keyword or type name in empty declaration
/usr/include/glib-2.0/glib/gthread.h:119: warning: empty declaration
In file included from /usr/include/glib-2.0/glib/gasyncqueue.h:30,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gthread.h:156:1: warning: "g_mutex_lock" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:161:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gasyncqueue.h:30,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gthread.h:160:1: warning: "g_mutex_unlock" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:162:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gasyncqueue.h:30,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gthread.h:164:1: warning: "g_cond_wait" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:175:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gasyncqueue.h:30,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gthread.h:188:1: warning: "g_thread_supported" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:181:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gasyncqueue.h:30,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gthread.h:191:1: warning: "g_cond_signal" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:176:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gasyncqueue.h:30,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gthread.h:192:1: warning: "g_cond_broadcast" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:177:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gasyncqueue.h:30,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gthread.h:193:1: warning: "g_cond_free" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:178:1: warning: this is the location of the previous definition
/usr/include/glib-2.0/glib/gthread.h:217: error: conflicting types for `g_thread_join'
/usr/include/linphone/uglib.h:155: error: previous declaration of `g_thread_join'
In file included from /usr/include/glib-2.0/glib.h:42,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gfileutils.h:65: error: conflicting types for `G_FILE_TEST_IS_REGULAR'
/usr/include/linphone/uglib.h:230: error: previous declaration of `G_FILE_TEST_IS_REGULAR'
/usr/include/glib-2.0/glib/gfileutils.h:66: error: conflicting types for `G_FILE_TEST_IS_SYMLINK'
/usr/include/linphone/uglib.h:231: error: previous declaration of `G_FILE_TEST_IS_SYMLINK'
/usr/include/glib-2.0/glib/gfileutils.h:67: error: conflicting types for `G_FILE_TEST_IS_DIR'
/usr/include/linphone/uglib.h:232: error: previous declaration of `G_FILE_TEST_IS_DIR'
/usr/include/glib-2.0/glib/gfileutils.h:68: error: conflicting types for `G_FILE_TEST_IS_EXECUTABLE'
/usr/include/linphone/uglib.h:233: error: previous declaration of `G_FILE_TEST_IS_EXECUTABLE'
/usr/include/glib-2.0/glib/gfileutils.h:70: error: conflicting types for `G_FILE_TEST_EXISTS'
/usr/include/linphone/uglib.h:235: error: previous declaration of `G_FILE_TEST_EXISTS'
/usr/include/glib-2.0/glib/gfileutils.h:70: error: redefinition of `GFileTest'
/usr/include/linphone/uglib.h:235: error: `GFileTest' previously declared here
/usr/include/glib-2.0/glib/gfileutils.h:84: error: conflicting types for `g_file_test'
/usr/include/linphone/uglib.h:277: error: previous declaration of `g_file_test'
In file included from /usr/include/glib-2.0/glib.h:42,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gfileutils.h:104:29: macro "g_build_filename" requires 3 arguments, but only 2 given
In file included from /usr/include/glib-2.0/glib/ghook.h:30,
                 from /usr/include/glib-2.0/glib.h:44,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gmem.h:48: error: conflicting types for `malloc'
/usr/include/stdlib.h:556: error: previous declaration of `malloc'
/usr/include/glib-2.0/glib/gmem.h:49: error: conflicting types for `g_malloc0'
/usr/include/linphone/uglib.h:116: error: previous declaration of `g_malloc0'
/usr/include/glib-2.0/glib/gmem.h:50: error: syntax error before '(' token
/usr/include/glib-2.0/glib/gmem.h:50: error: syntax error before "n_bytes"
In file included from /usr/include/glib-2.0/glib/ghook.h:30,
                 from /usr/include/glib-2.0/glib.h:44,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gmem.h:60:1: warning: "g_new" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:123:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/ghook.h:30,
                 from /usr/include/glib-2.0/glib.h:44,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gmem.h:62:1: warning: "g_new0" redefined
In file included from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/uglib.h:124:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gmain.h:23,
                 from /usr/include/glib-2.0/glib/giochannel.h:31,
                 from /usr/include/glib-2.0/glib.h:45,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gslist.h:34: error: conflicting types for `GSList'
/usr/include/linphone/glist.h:130: error: previous declaration of `GSList'
/usr/include/glib-2.0/glib/gslist.h:47: error: conflicting types for `g_list_free'
/usr/include/linphone/glist.h:67: error: previous declaration of `g_list_free'
/usr/include/glib-2.0/glib/gslist.h:48: error: conflicting types for `g_list_free_1'
/usr/include/linphone/glist.h:68: error: previous declaration of `g_list_free_1'
/usr/include/glib-2.0/glib/gslist.h:52: error: conflicting types for `g_list_prepend'
/usr/include/linphone/glist.h:72: error: previous declaration of `g_list_prepend'
/usr/include/glib-2.0/glib/gslist.h:72: error: conflicting types for `g_list_reverse'
/usr/include/linphone/glist.h:92: error: previous declaration of `g_list_reverse'
/usr/include/glib-2.0/glib/gslist.h:86: error: conflicting types for `g_list_length'
/usr/include/linphone/glist.h:109: error: previous declaration of `g_list_length'
/usr/include/glib-2.0/glib/gslist.h:89: error: conflicting types for `g_list_foreach'
/usr/include/linphone/glist.h:112: error: previous declaration of `g_list_foreach'
In file included from /usr/include/glib-2.0/glib/gmain.h:23,
                 from /usr/include/glib-2.0/glib/giochannel.h:31,
                 from /usr/include/glib-2.0/glib.h:45,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gslist.h:97:1: warning: "g_slist_next" redefined
In file included from /usr/include/linphone/uglib.h:209,
                 from /usr/include/linphone/sndcard.h:37,
                 from /usr/include/linphone/linphonecore.h:22,
                 from emptylinphone.c:1:
/usr/include/linphone/glist.h:135:1: warning: this is the location of the previous definition
In file included from /usr/include/glib-2.0/glib/gstring.h:32,
                 from /usr/include/glib-2.0/glib/giochannel.h:32,
                 from /usr/include/glib-2.0/glib.h:45,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gutils.h:117:51: macro "g_get_home_dir" passed 1 arguments, but takes just 0
In file included from /usr/include/glib-2.0/glib/gstring.h:32,
                 from /usr/include/glib-2.0/glib/giochannel.h:32,
                 from /usr/include/glib-2.0/glib.h:45,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gutils.h:148: warning: conflicting types for built-in function `snprintf'
/usr/include/glib-2.0/glib/gutils.h:176:49: macro "g_get_current_dir" passed 1 arguments, but takes just 0
/usr/include/glib-2.0/glib/gutils.h:192: error: conflicting types for `getenv'
/usr/include/stdlib.h:626: error: previous declaration of `getenv'
In file included from /usr/include/glib-2.0/glib/giochannel.h:32,
                 from /usr/include/glib-2.0/glib.h:45,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gstring.h:36: error: redefinition of `GString'
/usr/include/linphone/uglib.h:200: error: `GString' previously declared here
/usr/include/glib-2.0/glib/gstring.h:40: error: redefinition of `struct _GString'
In file included from /usr/include/glib-2.0/glib.h:52,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gmessages.h:57: error: redefinition of `G_LOG_FLAG_RECURSION'
/usr/include/linphone/uglib.h:246: error: `G_LOG_FLAG_RECURSION' previously defined here
/usr/include/glib-2.0/glib/gmessages.h:58: error: redefinition of `G_LOG_FLAG_FATAL'
/usr/include/linphone/uglib.h:247: error: `G_LOG_FLAG_FATAL' previously defined here
/usr/include/glib-2.0/glib/gmessages.h:61: error: redefinition of `G_LOG_LEVEL_ERROR'
/usr/include/linphone/uglib.h:250: error: `G_LOG_LEVEL_ERROR' previously defined here
/usr/include/glib-2.0/glib/gmessages.h:62: error: redefinition of `G_LOG_LEVEL_CRITICAL'
/usr/include/linphone/uglib.h:251: error: `G_LOG_LEVEL_CRITICAL' previously defined here
/usr/include/glib-2.0/glib/gmessages.h:63: error: redefinition of `G_LOG_LEVEL_WARNING'
/usr/include/linphone/uglib.h:252: error: `G_LOG_LEVEL_WARNING' previously defined here
/usr/include/glib-2.0/glib/gmessages.h:64: error: redefinition of `G_LOG_LEVEL_MESSAGE'
/usr/include/linphone/uglib.h:253: error: `G_LOG_LEVEL_MESSAGE' previously defined here
/usr/include/glib-2.0/glib/gmessages.h:65: error: redefinition of `G_LOG_LEVEL_INFO'
/usr/include/linphone/uglib.h:254: error: `G_LOG_LEVEL_INFO' previously defined here
/usr/include/glib-2.0/glib/gmessages.h:66: error: redefinition of `G_LOG_LEVEL_DEBUG'
/usr/include/linphone/uglib.h:255: error: `G_LOG_LEVEL_DEBUG' previously defined here
/usr/include/glib-2.0/glib/gmessages.h:69: error: redefinition of `G_LOG_LEVEL_MASK'
/usr/include/linphone/uglib.h:258: error: `G_LOG_LEVEL_MASK' previously defined here
/usr/include/glib-2.0/glib/gmessages.h:77: error: conflicting types for `GLogFunc'
/usr/include/linphone/uglib.h:268: error: previous declaration of `GLogFunc'
/usr/include/glib-2.0/glib/gmessages.h:84: error: conflicting types for `g_log_set_handler'
/usr/include/linphone/uglib.h:269: error: previous declaration of `g_log_set_handler'
/usr/include/glib-2.0/glib/gmessages.h:96: error: conflicting types for `g_log'
/usr/include/linphone/uglib.h:263: error: previous declaration of `g_log'
/usr/include/glib-2.0/glib/gmessages.h:100: error: conflicting types for `g_logv'
/usr/include/linphone/uglib.h:264: error: previous declaration of `g_logv'
In file included from /usr/include/glib-2.0/glib.h:66,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gstrfuncs.h:101: error: conflicting types for `strerror'
/usr/include/string.h:243: error: previous declaration of `strerror'
/usr/include/glib-2.0/glib/gstrfuncs.h:187: error: syntax error before '(' token
/usr/include/glib-2.0/glib/gstrfuncs.h:187: error: syntax error before "n"
/usr/include/glib-2.0/glib/gstrfuncs.h:236: error: syntax error before '(' token
/usr/include/glib-2.0/glib/gstrfuncs.h:236: error: syntax error before "const"
In file included from /usr/include/glib-2.0/glib.h:70,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gtimer.h:38: error: conflicting types for `GTimer'
/usr/include/linphone/uglib.h:184: error: previous declaration of `GTimer'
In file included from /usr/include/glib-2.0/glib.h:70,
                 from /usr/include/linphone/linphonecore.h:39,
                 from emptylinphone.c:1:
/usr/include/glib-2.0/glib/gtimer.h:42:30: macro "g_timer_new" passed 1 arguments, but takes just 0
/usr/include/glib-2.0/glib/gtimer.h:43: error: syntax error before '(' token
/usr/include/glib-2.0/glib/gtimer.h:44: error: syntax error before '(' token
/usr/include/glib-2.0/glib/gtimer.h:44: error: conflicting types for `gettimeofday'
/usr/include/sys/time.h:73: error: previous declaration of `gettimeofday'
/usr/include/glib-2.0/glib/gtimer.h:44: error: syntax error before "void"
/usr/include/glib-2.0/glib/gtimer.h:46: error: syntax error before '(' token
/usr/include/glib-2.0/glib/gtimer.h:46: error: syntax error before "void"
/usr/include/glib-2.0/glib/gtimer.h:49: error: conflicting types for `g_timer_elapsed'
/usr/include/linphone/uglib.h:190: error: previous declaration of `g_timer_elapsed'
make: *** [emptylinphone] Error 1
[Makefile (text/plain, inline)]
CC=gcc
CPPFLAGS=$(shell pkg-config --cflags linphone)
LDFLAGS=$(shell pkg-config --libs-only-L linphone)
LDLIBS=$(shell pkg-config --libs-only-l linphone)

all: emptylinphone

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#382616; Package liblinphone1-dev. Full text and rfc822 format available.

Acknowledgement sent to Mikael Magnusson <mikma264@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 382616@bugs.debian.org (full text, mbox):

From: Mikael Magnusson <mikma264@gmail.com>
To: 382616@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Workaround and patch
Date: Mon, 21 Aug 2006 12:39:00 +0200
package linphone
tags 382616 +patch
thanks

Try to define HAVE_CONFIG_H (or maybe HAVE_GLIB) as a workaround, it 
worked for me when I compiled emptylinphone.c.

I'm also including a patch that can be used instead of the workaround.

Mikael

--- /usr/include/linphone/sndcard.h.orig        2006-05-15 
19:26:25.000000000 +0200
+++ /usr/include/linphone/sndcard.h     2006-08-21 12:37:11.000000000 +0200
@@ -25,9 +25,7 @@

 #undef PACKAGE
 #undef VERSION
-#ifdef HAVE_CONFIG_H
-#      include <config.h>
-#endif
+#include <config.h>
 #undef PACKAGE
 #undef VERSION




Tags added: patch Request was from Mikael Magnusson <mikma264@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#382616; Package liblinphone1-dev. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@zeus.ugent.be>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 382616@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@zeus.ugent.be>
To: 382616@bugs.debian.org
Subject: diff for 1.3.5-1.1 NMU of linphone
Date: Sat, 16 Sep 2006 12:57:36 +0200
[Message part 1 (text/plain, inline)]
Package: linphone
Version: 1.3.5-1
Severity: normal
Tags: patch

Hi,

Attached is the diff for my linphone 1.3.5-1.1 NMU which I'll upload to
DELAYED-2.

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D
[linphone-1.3.5-1.1-nmu.diff (text/plain, attachment)]

Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Samuel Mimram <smimram@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Uplink <advantis@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 382616-close@bugs.debian.org (full text, mbox):

From: Samuel Mimram <smimram@debian.org>
To: 382616-close@bugs.debian.org
Subject: Bug#382616: fixed in linphone 1.4.1-1
Date: Thu, 28 Sep 2006 07:24:10 -0700
Source: linphone
Source-Version: 1.4.1-1

We believe that the bug you reported is fixed in the latest version of
linphone, which is due to be installed in the Debian FTP archive:

liblinphone1-dev_1.4.1-1_i386.deb
  to pool/main/l/linphone/liblinphone1-dev_1.4.1-1_i386.deb
liblinphone1_1.4.1-1_i386.deb
  to pool/main/l/linphone/liblinphone1_1.4.1-1_i386.deb
libmediastreamer0-dev_1.4.1-1_i386.deb
  to pool/main/l/linphone/libmediastreamer0-dev_1.4.1-1_i386.deb
libmediastreamer0_1.4.1-1_i386.deb
  to pool/main/l/linphone/libmediastreamer0_1.4.1-1_i386.deb
libortp5-dev_1.4.1-1_i386.deb
  to pool/main/l/linphone/libortp5-dev_1.4.1-1_i386.deb
libortp5_1.4.1-1_i386.deb
  to pool/main/l/linphone/libortp5_1.4.1-1_i386.deb
linphone-common_1.4.1-1_all.deb
  to pool/main/l/linphone/linphone-common_1.4.1-1_all.deb
linphone-nox_1.4.1-1_i386.deb
  to pool/main/l/linphone/linphone-nox_1.4.1-1_i386.deb
linphone_1.4.1-1.diff.gz
  to pool/main/l/linphone/linphone_1.4.1-1.diff.gz
linphone_1.4.1-1.dsc
  to pool/main/l/linphone/linphone_1.4.1-1.dsc
linphone_1.4.1-1_i386.deb
  to pool/main/l/linphone/linphone_1.4.1-1_i386.deb
linphone_1.4.1.orig.tar.gz
  to pool/main/l/linphone/linphone_1.4.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 382616@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Mimram <smimram@debian.org> (supplier of updated linphone package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 19 Sep 2006 09:55:19 +0000
Source: linphone
Binary: libmediastreamer0-dev libmediastreamer0 libortp5-dev linphone liblinphone1 linphone-nox liblinphone1-dev linphone-common libortp5
Architecture: source i386 all
Version: 1.4.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Samuel Mimram <smimram@debian.org>
Description: 
 liblinphone1 - linphone web phone's library (supporting the SIP protocol)
 liblinphone1-dev - linphone web phone's library (supporting the SIP protocol)
 libmediastreamer0 - linphone web phone's media library
 libmediastreamer0-dev - linphone web phone's media library
 libortp5   - Real-time Transport Protocol stack
 libortp5-dev - Real-time Transport Protocol stack
 linphone   - web phone
 linphone-common - web phone
 linphone-nox - web phone
Closes: 382616
Changes: 
 linphone (1.4.1-1) unstable; urgency=low
 .
   * New upstream release.
   * Removed no_developer_docs.dpatch, 00mscodec_null_name.dpatch,
     10mscodec_null_strcmp.dpatch, gcc-4.1.dpatch and
     world_readable_passwords.dpatch, not needed anymore.
   * New packages: libmediastreamer0 and libmediastreamer0-dev.
   * New SONAME for libortp.
   * Updated watch file.
   * Acknowledge NMU, closes: #382616.
Files: 
 e7b2b62da572d7409436f4474019e5c6 1182 sound optional linphone_1.4.1-1.dsc
 dbf9ed2eb2a5eeb0757b53283670ad19 7666129 sound optional linphone_1.4.1.orig.tar.gz
 f3e2997005a95a6941c421d273a3fb63 15379 sound optional linphone_1.4.1-1.diff.gz
 c4c3812c56bec5e68c3244a1d98a9f18 189896 sound optional linphone_1.4.1-1_i386.deb
 c58eb1583232adfdbea8c830535871b3 44334 sound optional linphone-nox_1.4.1-1_i386.deb
 897f63b30c2ff11fc57303267f6074d4 5889932 sound optional linphone-common_1.4.1-1_all.deb
 61fef948bfe921b6eeb0145fadff7e97 117898 libs optional liblinphone1_1.4.1-1_i386.deb
 ccda0a34884ea70440e8fece64e83a5f 21550 libdevel optional liblinphone1-dev_1.4.1-1_i386.deb
 cf8185e119399232bb50c1187cba479c 63996 libs optional libmediastreamer0_1.4.1-1_i386.deb
 d8d49c9311b3015b36573555ec00a165 22356 libdevel optional libmediastreamer0-dev_1.4.1-1_i386.deb
 4d53c4904e7da9334c83a4071dea4f88 55630 libs optional libortp5_1.4.1-1_i386.deb
 fa30ac1a0abe0d7a55a57e00a6b09aa2 31420 libdevel optional libortp5-dev_1.4.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFGEH6Iae1O4AJae8RAstSAJ48RLi8u3RBVXX1pTDPWmvJoqEKcgCfZaGB
Iktv216uMM6Dg4h8Bil4DHE=
=+ICj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 17:43:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:14:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.